#include <iostream>
#include <cmath>
#include <ctime>
#define pi 3.1415926535897932384626433832795
using namespace std;

class Point
{ double x,y;
public:
Point (double,double);
Point ();
double X() {return x;}
double Y() {return y;}
double distanceTo(Point p)
{ return sqrt((x-p.x)*(x-p.x)+ (y-p.y)*(y-p.y));}
};


Point::Point(double a, double b)
{ x=a;
y=b;}

Point::Point()
{
  
  x=rand()% 11;
  y=rand()% 11;
}

class Circle
{ Point p;
  double r;
public:
Circle(Point,double);
double area()
{ return pi*r*r;}
double perimeter()
{ return pi*2*r;}
double R()
{ return r;}
Point P()
{return p;}
bool intersects(Circle b);
bool contains(Circle b);
};

Circle::Circle(Point P,double R)
{r=R;
p=P;}

bool Circle::contains(Circle b)
{if ( p.distanceTo(b.p) < fabs(r-b.r) )
return true;}

bool Circle::intersects(Circle b)
{if (  !(p.distanceTo(b.p) > r+b.r) && !( p.distanceTo(b.p) <= fabs(r-b.r) ) )
return true;}



void main()
{
srand(time(0));
Point p1 , p2 ;
Circle c1(p1,2) , c2 (p2,2) ;
cout<<" The circle c1 of center p1(X= "<<p1.X()<<" and Y= "<<p1.Y()<<") and radius R= "<<c1.R()<<" have and area of "<<c1.area()<<" and a perimeter of "<<c1.perimeter()<<endl;
cout<<"............................................................................"<<endl;
cout<<" The circle c2 of center p2(X= "<<p2.X()<<" and Y= "<<p2.Y()<<") and radius R= "<<c2.R()<<" have and area of "<<c2.area()<<" and a perimeter of "<<c2.perimeter()<<endl;
if ( c1.intersects(c2)==true )
cout<<"The two circles intersects" <<endl;
if ( c1.contains(c2)==true )
cout<<"The 2 circles are contained"<<endl;


}